Bug 645183 - Review Request: lua-md5 - Cryptographic Library for MD5 hashes for Lua
Summary: Review Request: lua-md5 - Cryptographic Library for MD5 hashes for Lua
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-20 23:07 UTC by Tim Niemueller
Modified: 2010-11-10 17:02 UTC (History)
3 users (show)

Fixed In Version: lua-md5-1.1.2-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-04 23:48:35 UTC
lemenkov: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Tim Niemueller 2010-10-20 23:07:36 UTC
Spec URL: http://fedorapeople.org/~timn/luastuff/lua-md5.spec
SRPM URL: http://fedorapeople.org/~timn/luastuff/lua-md5-1.1.2-1.fc13.src.rpm
Description:
MD5 offers basic cryptographic facilities for Lua 5.1: a hash (digest)
function, a pair crypt/decrypt based on MD5 and CFB, and a pair crypt/decrypt
based on DES with 56-bit keys.

URL: http://www.keplerproject.org/md5/
Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=2545651

Comment 1 Peter Lemenkov 2010-10-23 08:02:26 UTC
I'll review it

Comment 2 Peter Lemenkov 2010-10-23 08:10:48 UTC
REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is silent

sulaco ~: rpmlint Desktop/lua-md5-*
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
sulaco ~: 

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license (MIT).
+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

sulaco ~/rpmbuild/SOURCES: sha256sum md5-1.1.2.tar.gz*
d1cb5270f71eef509d47f092cee6fbb7fda42af596a0db6728da1cea78616826  md5-1.1.2.tar.gz
d1cb5270f71eef509d47f092cee6fbb7fda42af596a0db6728da1cea78616826  md5-1.1.2.tar.gz.1
sulaco ~/rpmbuild/SOURCES:

+ The package successfully compiles and builds into binary rpms on at least one primary architecture.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files in some of the dynamic linker's default paths.
+ The package does NOT bundle copies of system libraries.
0 The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No header files.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files with a suffix (e.g. libfoo.so.1.1).
0 No devel sub-package.
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ All filenames in rpm packages are valid UTF-8.

APPROVED

Comment 3 Tim Niemueller 2010-10-23 15:31:22 UTC
New Package SCM Request
=======================
Package Name: lua-md5
Short Description: Cryptographic Library for MD5 hashes for Lua
Owners: timn
Branches: f12 f13 f14 el5 el6
InitialCC:

Comment 4 Kevin Fenzi 2010-10-25 18:52:33 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2010-10-25 20:27:00 UTC
lua-md5-1.1.2-1.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/lua-md5-1.1.2-1.fc12

Comment 6 Fedora Update System 2010-10-25 20:27:42 UTC
lua-md5-1.1.2-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/lua-md5-1.1.2-1.fc13

Comment 7 Fedora Update System 2010-10-25 20:29:51 UTC
lua-md5-1.1.2-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/lua-md5-1.1.2-1.fc14

Comment 8 Fedora Update System 2010-10-25 20:30:28 UTC
lua-md5-1.1.2-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/lua-md5-1.1.2-1.el5

Comment 9 Fedora Update System 2010-10-27 22:40:35 UTC
lua-md5-1.1.2-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update lua-md5'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/lua-md5-1.1.2-1.fc13

Comment 10 Fedora Update System 2010-11-04 23:28:14 UTC
lua-md5-1.1.2-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-11-04 23:46:14 UTC
lua-md5-1.1.2-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-11-04 23:48:31 UTC
lua-md5-1.1.2-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-11-10 17:02:20 UTC
lua-md5-1.1.2-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.